package com.goldenwater.yjjt.mapper;

import java.util.List;
import java.util.Map;
import org.apache.ibatis.annotations.Param;
import com.goldenwater.yjjt.domain.YjjtStation;

/**
 * 引江济太站点Mapper接口
 */
public interface YjjtStationMapper
{
    public YjjtStation selectYjjtStationById(Long id);

    public YjjtStation selectByStcd(@Param("stcd") String stcd);

    public int countByStcdAndYear(@Param("stcd") String stcd, @Param("year") String year);

    public List<YjjtStation> selectYjjtStationList(YjjtStation station);

    public int insertYjjtStation(YjjtStation station);

    public int updateYjjtStation(YjjtStation station);

    public int deleteYjjtStationById(Long id);

    public int deleteYjjtStationByIds(Long[] ids);

    public List<Map<String, Object>> selectCountGroupByStcdYear();
}
